Turchin1986Supercompiler:
  type: article
  title: The concept of a supercompiler
  author: Turchin, V. F.
  date: 1986
  page-range: 292-325
  parent:
    type: periodical
    title: ACM Transactions on Programming Languages and Systems (TOPLAS)
    issue: 3
    volume: 8
Turchin1979ScpSystem:
  type: article
  title: A supercompiler system based on the language {REFAL}
  author: Turchin, V. F.
  date: 1979
  page-range: 46-54
  parent:
    type: periodical
    title: SIGPLAN Not.
    issue: 2
    volume: 14
Turchin1982Experiments:
  type: article
  title: Experiments with a supercompiler
  author:
  - Turchin, V. F.
  - Nirenberg, R. M.
  - Turchin, D. V.
  date: 1982
  page-range: 47-55
  parent:
    type: proceedings
    title: 'LFP ''82: Proceedings of the 1982 ACM symposium on LISP and functional programming'
    publisher:
      name: ACM
      location: New York, NY, USA
Nemytykh1996ProgTrans:
  type: article
  title: 'Program Transformation with Metasystem Transitions: Experiments with a Supercompiler'
  author:
  - Nemytykh, A. P.
  - Pinchuk, V. A.
  date: 1996
  page-range: 249-260
  parent:
    type: periodical
    title: LECTURE NOTES IN COMPUTER SCIENCE
Sorensen1994TurchinSupercompiler:
  type: thesis
  title: 'Turchin{''}s Supercompiler Revisited: an Operational Theory of Positive Information Propagation'
  author: Sørensen, M. H.
  date: 1994
  organization: Dept. of Computer Science, University of Copenhagen
Sorensen1996Positive:
  type: article
  title: A Positive Supercompiler.
  author:
  - Sørensen, M. H.
  - Glück, R.
  - Jones, N. D.
  date: 1996
  page-range: 811-838
  parent:
    type: periodical
    title: Journal of Functional Programming
    issue: 6
    volume: 6
Klyuchnikov2009SPSC:
  type: article
  title: '{SPSC}: a Simple Supercompiler in Scala'
  author:
  - Klyuchnikov, I. G.
  - Romanenko, S. A.
  date: 2009
  parent:
    type: proceedings
    title: PU'09 (International Workshop on Program Understanding)
Klyuchnikov2009HOSC:
  type: article
  title: 'Supercompiler {HOSC} 1.0: under the hood'
  author: Klyuchnikov, I. G.
  date: 2009
  note: '\\\\mbox\{URL: \\url\{http://library.keldysh.ru/preprint.asp?id=2009-63\}\}'
  parent:
    type: periodical
    title: Keldysh Institute Preprints
    publisher:
      name: null
      location: Moscow
    issue: 63
Hamilton2010Graph:
  type: article
  title: A Graph-Based Definition of Distillation
  author: Hamilton, G. W.
  date: 2010
  parent:
    type: proceedings
    title: Second International Workshop on Metacomputation in Russia

